- Home
- API Enriched
- Billing And Usage
- web
- List Subscriptions.
List Subscriptions.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/subscriptions/custom_list';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/subscriptions/custom_list \ --header 'Authorization: <Authorization>'Endpoint to list subscriptions.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace filter.
Query Parameters
Section titled “Query Parameters”Filter out inactive subscriptions.
Responses
Section titled “Responses”A successful response.
Response to call to GET list of tenant subscriptions.
object
IP address configuration
Tenant subscription to the services record.
object
Date when subscription become cancelled.
Flag shows if this subscription is already cancelled.
Flag shows if this subscription is currently active.
The last day of the last billing_period.
The first day of the last billing_period.
Name of the subscription (internal name, not human readable), a subscription has no human readable name.
Plan name
Plan object name.
List of the previous billing periods.
Response to call to GET list of tenant subscriptions.
object
Link to the closed invoice.
Kast day of the last billing_period in external provider.
Internal end date that serves as source of truth.
Internal start date that serves as source of truth.
Link to all of the invoices for this period.
Link to the pending invoice.
The first day of the last billing_period in external provider.
Flag shows if this billing time frame is part of trial period.
Unique identifier of this time frame.
Date when subscription become active.
Examplegenerated
{ "subscriptions": [ { "cancellation_date": "2026-04-15T12:00:00Z", "cancelled": true, "current": true, "last_billing_period_end_date": "2026-04-15T12:00:00Z", "last_billing_period_start_date": "2026-04-15T12:00:00Z", "name": "example", "plan_name": "example", "plan_object_name": "example", "previous_billing_periods": [ { "closed_invoice": [ "example" ], "end_date": "2026-04-15T12:00:00Z", "internal_end_date": "2026-04-15T12:00:00Z", "internal_start_date": "2026-04-15T12:00:00Z", "invoices": [ "example" ], "pending_invoice": [ "example" ], "start_date": "2026-04-15T12:00:00Z", "trial": true, "uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "start_date": "2026-04-15T12:00:00Z" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example